<?
############
# this is a theme file for RecipeBridge
# it is sourced from: /var/www/html/recipebridge.com/html/Themes/2011RecipeBridge
# it is generally called from one or more modules
# which are sourced from: /var/www/html/recipebridge.com/Applications/RecipeBridge/Modules
#
# Theme files are used to control the actual display of pages

##
# this theme (details2-layout) is used for many pages
# - About_Us http://www.recipebridge.com/about

##
# this theme provides a common header and footer
# and calls 
#        $this->{'Instance/ViewContent'}
# to display the interior page

#error_reporting(E_ALL);
#ini_set('display_errors', '1');


##
# modification history
#
# 09272011      BHT     Initial create with new css from andy's original
# 10212011      BHT     enhance query_term breakout
# 10222011      BHT     add common header meta 
# 10242011      BHT     add common_google include and remove older version 
# 01112012      BHT     add kwt processing and switch common_ad_code for common_basic_ad_code
# 01222012      BHT     add jquery to adjust .banner-main height and centering
# 01222012      BHT     add 2nd 300x250 into kwt processing
# 01242012      BHT     adjust kwt processing to max 2 results
#                       and add bucket processing
# 04022012      BHT     change minimum admin level to 20 for control_panel
# 09082012      BHT     add common_mobile to push if needed to m.
# 09102012      BHT     new annotation for m. url
# 12192012      BHT     remove title from sf form
# 02192013      BHT     add bht_kw and set ad code with that -- basic ad code in effect
#

#
#
#

# we require database access
  $DatabaseObj = Zend_Registry::get('Instance/DatabaseObj');

  # mobile detection and PUSH if found to m.
  require_once('common_mobile');

         # we need this on all details2-layout
         # and it must be in the class constructor!!!

try {
                        $ts = new TopSearchesController();
                        //To Fetch most recent searches
                        $ts->DisplayRecentSearches();
                        $this->{'Instance/RecentSearches'} = $ts->RecentSearches;

} catch (Exception $e) {
       $this->{'Instance/RecentSearches'} = array();
}


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xml:lang="en-GB" xmlns="http://www.w3.org/1999/xhtml">
<head>

<?
  ##
  # we include the header stuff (title,meta etc)
  require_once('common_header');
?>

<script src="<?=$this->{'System/BaseURL'};?>JS/Functions.js" type="text/javascript"></script>
<script src="<?=$this->{'System/BaseURL'};?>JS/Ajax.js" type="text/javascript"></script>
<script src="<?=$this->{'System/BaseURL'};?>JS/Lock.js" type="text/javascript"></script>


<link rel="search" type="application/opensearchdescription+xml" title="RecipeBridge Recipe Search" href="<?=$this->{'System/BaseURL'};?>rbd.xml">
<link rel="shortcut icon" href="<?=$this->{'System/BaseURL'};?>Themes/<?=$this->{'Application/Theme'};?>/images/favicon.ico">


<!-- Place this tag in your head or just before your close body tag -->
<script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>

<link href="https://plus.google.com/104484206637998788543" rel="publisher" /> 

<?
  ##
  # we include the new css files

   require_once('common_new_css');
/*
        <style>
        .ui-autocomplete-loading { 
            background: transparent url('/images/ui-anim_basic_16x16.gif') no-repeat right center !important; 
            }
        </style>
*/
?>

<!-- BHT - add validate -->
<script type="text/javascript" src="http://ajax.microsoft.com/ajax/jquery.validate/1.7/jquery.validate.min.js"></script>


<?
  ##
  # we include the google tracking code

   require_once('common_google');

  # we want to form an annotation link to the same mobile site url
  $curl = 'http://m.recipebridge.com'.$_SERVER['REQUEST_URI'];
  echo '<link rel="alternate" media="only screen and (max-width: 640px)" href="'.$curl.'" >';

?>


</head><body id="my_body">

<?
  ##
  # we include the ad content

  #require_once('common_ad_code');
  require_once('common_basic_ad_code');
?>

                <noscript>Javascript must be enabled for the correct page display</noscript>
                <div id="skip"><a accesskey="S" href="#main">Skip to Content</a></div>
                <!-- page -->
                <div id="bpage" class="page">
                        <div id="wrapper">
                                <!-- push down -->
                                <div class="push-down"></div>
                                <!-- header -->
                                <header id="header">
                                        <div class="holder">
                                                <div class="wrap">
                                                        <!-- top navigation -->

                                        <?
                                          ########
                                          ## if we are logged in we want to show who
                                          # we have to throw this before the ul so its 'behind' it

                                          if(isset($_SESSION['User'])) {
                                             echo '<span class="top-nav" style="padding-top:25px;padding-left:5px">('.$_SESSION['User']['Email'].')</span>';
                                             }
                                          echo '<ul class="top-nav">';

                    ##########
                    ## we add the control panel link if we are in as an admin
                    if (isset($_SESSION['User']['admin']) && $_SESSION['User']['admin']>=20) {
                       # user is admin
                       echo '<li><a rel="nofollow" href="'.$this->{'System/BaseURL'}.'my/cp">Control Panel</a></li>';
                    }


                    ## we display two things
                    # login/register
                    # or
                    # my saved recipes/logout
                    # based on session value

                    if(isset($_SESSION['User'])) {
                       # We ARE logged in
                       echo '<li><a rel=nofollow href="'.$this->{'System/BaseURL'}.'recipebox">Recipe Box</a></li>';
                       echo '<li><a rel=nofollow href="'.$this->{'System/BaseURL'}.'my/logout">Logout</a></li>';
                    } else {
                       # we are NOT logged in...allow login
                       echo '<li><a href="#login-box" class="open-popup">Log In</a></li>';
                       echo '<li><a href="#social-box" class="open-popup">Register</a></li>';
                    }

?>


                                                        </ul>
                                                        <!-- social buttons -->
                                                        <div class="social-buttons">
                                                                <div class="btn">

<?
  ##
  # social buttons

  require_once('common_social_buttons');
?>

                                                                </div>
                                                        </div>
                                                </div>
                                        </div>
                                        <div class="top-bar">
                                                <div class="wrap search-item">
                                                        <!-- logo -->
                                                        <strong class="logo vcard"><a accesskey="1" class="fn org url" href="<?=$this->{'System/BaseURL'};?>">RecipeBridge</a></strong>
                                                        <!-- search form -->
                                                        <form id="sf" class="form-search" action="<?=$this->{'System/BaseURL'};?>recipes"" title="">


                                                                <fieldset>
                                                                        <legend class="hidden">Search form</legend>
                                                                        <div class="row">
<?
##
# preload the query term if present
if ((isset($this->{'Instance/QueryTerm'})) && ($this->{'Instance/QueryTerm'} != '')) {
   $qt = $this->{'Instance/QueryTerm'};
#echo '<br>QT:'.$qt;
   $qta = explode('@',$qt);
#var_dump($qta);
   $qta = explode(')',$qta[1]);
   # did we have a value? 
   if (count($qta) > 1) {
      # yes
#echo 'count:'.count($qta);
      $qt = $qta[1];
   } else {
      # no -- maybe some advanced search
      $qt = '';
   } # end if
   echo '<input tabindex="1" accesskey="4" class="text " type="text" value="'.$qt.'" title="Search" name="q" id="f_keywords" />';

} else {
   # no query term
   echo '<input tabindex="1" accesskey="4" class="text " type="text" value="Recipe Title, Ingredient, Celebrity Chef, Event or Food Type" title="Search" name="q" id="f_keywords" />';
}
?>
                                                                                <input tabindex="2" class="submit" type="submit" />
                                                                        </div>
<a title="Advanced Recipe Search" href="http://www.recipebridge.com/advanced-recipe-search" class="link-advance">Advanced Recipe Search</a>
                                                                </fieldset>
                                                        </form>
                                                </div>
                                        </div>
                                        <div class="shadow"></div>
                                </header>
<br>
	
	<script>
	$(function() {
		var cache = {},
			lastXhr;
		$( "#f_keywords" ).autocomplete({
			minLength: 2,
select: function(event, ui) { 
         $(event.target).val(ui.item.value);
         $('#sf').submit();
         return false;
    },

			source: function( request, response ) {
				var term = request.term;
				if ( term in cache ) {
					response( cache[ term ] );
					return;
				}

				lastXhr = $.getJSON( "/pred_txt.php", request, function( data, status, xhr ) {
					cache[ term ] = data;
					if ( xhr === lastXhr ) {
						response( data );
					}
				});
			}
		});
	});
	</script>


                                <!-- banner -->
                                <div id="main_banner" class="banner-main">

<?

#######################
#######################
# handle context match
# set in class file -- load here if present and use in ads
# by filling
        #cdsTag.zones.as2000000809207.keywords = { "sr_k5" : "chicken", "sr_k6" : "shrimp", "sr_k7" : "rice", "sr_k8" : "beef", "sr_k9" : "noodles" };

$kwt = $this->{'Instance/kwt'};
$keywords = '';

############
# if we have context matches
if (is_array($kwt) && count($kwt) > 0) {
   # we have some kwt -- add up to 5 keywords
   $sep = ' ';
   $loop = 4;
   foreach ($kwt as $kw) {
      $loop++;
      # instead of 5 keywords benjamin only wants two -- just loop twice
      #if ($loop > 10) break;
      if ($loop > 6) break;
      if ($loop > 5) $sep=", ";
      $keywords = $keywords.$sep.' "sr_k'.$loop.'" : "'.$kw.'" ';
      }
#echo 'found keywords:'.$keywords;
   } # end context match processing


   ############
   # new bucket based logic
   # evaluate the url against our cmb_targets
   $url="http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
   $url =  mysql_real_escape_string($url);

   $q_cmb = " SELECT * FROM cmb_targets  left join context_match_bucket cmb on cmb.id=cm_id where cmb_status = '1' and target='$url' limit 4 ;";
   $m_qmb = $DatabaseObj->fetchAll($q_cmb);

   $cmb_array = array();

   foreach($m_qmb as $qmbr) {
       # we need to construct an addition to the keywords string for each match of the url
       # we may have no match or we may have multiple ones
       # each match will specify a specific keyword position
       # note...these MAY overwrite -- thats ok
       if ($qmbr->campaign_keyword_position == 'sr_k7') {
          # we have a result -- insert into array
          $cmb_array[7]=$qmbr->campaign_keyword;
          }
       if ($qmbr->campaign_keyword_position == 'sr_k8') {
          # we have a result -- insert into array
          $cmb_array[8]=$qmbr->campaign_keyword;
          }
       if ($qmbr->campaign_keyword_position == 'sr_k9') {
          # we have a result -- insert into array
          $cmb_array[9]=$qmbr->campaign_keyword;
          }
       if ($qmbr->campaign_keyword_position == 'sr_k10') {
          # we have a result -- insert into array
          $cmb_array[10]=$qmbr->campaign_keyword;
          }
       } # end foreach

   if (count($cmb_array) > 0) {
      foreach ($cmb_array as $k=>$v) {
         # we should have entries in $k=7,8,9 and/or 10
         # plug each into $keywords
         $sep = ' ';
         if ($keywords != '') $sep=", ";
         $keywords = $keywords.$sep.' "sr_k'.$k.'" : "'.$v.'" ';
         } # end foreach
      } # end if cmb_array

 if ($keywords != '') {
   # we have SOME keywords (from kwt or bucket matching)
   # push jscript into page
   echo '<script type="text/javascript">';
   # the 728x90
       echo 'bht_kw = { '.$keywords.' };';
#echo "alert(bht_kw);";
##echo "alert('ccc');";
 #  echo 'acdsTag.zones.as1000007214907.keywords = { '.$keywords.' }; '."\n";
#echo "alert(acdsTag.zones.as1000007214907.keywords+'bbb');";
   # the 320x50
 #  echo 'acdsTag.zones.as1000007214607.keywords = { '.$keywords.' }; '."\n";
   # the 2nd 320x50
 #  echo 'acdsTag.zones.as1000008503407.keywords = { '.$keywords.' }; '."\n";
   echo '</script>';
  } # end $kwt

# !!! This MUST appear AFTER the kwt and before the specific ad code
# extracted from common_ad_code
#echo '<script type="text/javascript" src="http://ad.afy11.net/cdsad.js"></script>';

# !!! if present overload javascript with proper keywords -- both ad formats will use them
# end contextual ad match
######################
######################


  ## 728x90 ad
#  require_once('common_728x90_ad');
?>

          <!-- Begin Cox Digital Solutions Page Tag for [page name] on 'RecipeBridge' -->
          <script type="text/javascript">
            cdsTag = {  };
            cdsTag.zones = {  };
            cdsTag.zones.as1000007214907 = { "size" : "728x90", "id" : "1000007214907" };
//alert(acdsTag.zones.as1000007214907.keywords);
//alert(bht_kw);
            cdsTag.zones.as1000007214907.keywords = bht_kw;
            cdsTag.siteId = 1000101623480;
            cdsTag.keywords = null;
            cdsTag.user = null;
            cdsTag.onLoad = function() {cdsPlaceAd('as1000007214907');};
          </script>
          <script type="text/javascript" src="http://ad.afy11.net/cdsad.js"></script>


                                </div>
                                <!-- main -->
<?
  # bring in the module content
  # 
echo $this->{'Instance/ViewContent'};

?>
                                <!-- footer -->
                                <footer id="footer">
<?
###
## footer

require_once('common_footer');
require_once('common_generic_footer');
?>
                                </footer>
                        </div>

<?
###
## clickable background

require_once('common_background');
                        #<img class="bg-body" src="/images/bg-img01.jpg" alt="image description" />
?>

                </div>
<?
###
## lightbox

require_once('common_lightbox');

?>

                <div id="back"><a href="#wrapper">Back to top</a></div>
  

<?
#exit;
?>
<script>

function recipeClicked(SourceID,rurl,pos)
//records the click of a recipe in the db for analytics and trends
{
if(window.XMLHttpRequest) {
    AJAX=new XMLHttpRequest();
  } else {
    AJAX=new ActiveXObject("Microsoft.XMLHTTP");
  }

  if (AJAX) {
    var url='<?=$this->{'System/BaseURL'};?>Users/View-Recipe.html?ajax=true&SourceID='+SourceID+'&pos='+pos;
        AJAX.open("GET", url, false);
    AJAX.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    AJAX.send(null);
    return AJAX.responseText;
        document.location="[rurl]";
  } else {
     return false;
  }
}

function saveRecipe(SourceId)
{
    makeRequest('<?=$this->{'System/BaseURL'};?>Users/Save-Recipe.html?ajax=true&SourceID='+SourceId, 'save-'+SourceId);
}

function viewRecipe(SourceId)
{
    response = makeRequest('<?=$this->{'System/BaseURL'};?>Users/View-Recipe.html?ajax=true&SourceID='+SourceId);

}

<?
# like recipe - this is the little green thumbs up like button
# we use this to click (and thank) while adding a count to that recipe for liking
?>
function likeRecipe(SourceId,RecipeId)
{
    makeRequest('<?=$this->{'System/BaseURL'};?>Users/Like-Recipe.html?ajax=true&SourceID='+SourceId+'&RecipeID='+RecipeId, 'like-'+RecipeId);
}

</script>

<?
### !!! we need to override the 728x90 banner display logic --
# cds pushes a raw 728x90 but that does not display properly
# if we have a class banner-main div we want to adjust EACH sub div
# to width=100% and height=100px
# do this in javascript
?>
<script>
$(document).ready(function() {

$(".banner-main").find('div').css('text-align', 'center'); 
$(".banner-main").children("div").each(function(index, value){
    $(this).css('width','100%');
    $(this).css('height','100px');
//    $(this).css('text-align','center !important');
});

});
</script>



</body></html>
